Skip to main content
GET
/
positions
/
{address}
Scan wallet positions
curl --request GET \
  --url https://api.circular.rosetta.sh/api/v1/positions/{address} \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "protocol": "<string>",
      "chainId": 123,
      "user": {
        "address": "<string>"
      },
      "healthFactor": 123,
      "state": {
        "collateralUsd": 123,
        "borrowAssetsUsd": 123,
        "supplyAssetsUsd": 123
      },
      "market": {
        "uniqueKey": "<string>",
        "collateralAsset": {
          "symbol": "<string>"
        },
        "loanAsset": {
          "symbol": "<string>"
        },
        "lltv": 123
      },
      "leverage": 123,
      "distanceToLiq": 123
    }
  ],
  "meta": {
    "latencyMs": 123,
    "freshness": "<string>",
    "source": "<string>"
  }
}

Authorizations

Authorization
string
header
required

API key in format circ_live_* or circ_test_*

Path Parameters

address
string
required

Ethereum wallet address (0x...)

Query Parameters

chainIds
string

Comma-separated chain IDs to filter by

Response

Wallet positions

data
object[]
meta
object